Index: palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables in mesoscale-offline nesting mode
 ! 
 ! Former revisions:
@@ -165,8 +165,7 @@
  
     USE control_parameters,                                                    &
-        ONLY:  grid_level, force_bound_l, force_bound_n, force_bound_r,        &
-               force_bound_s, forcing, inflow_l, inflow_n, inflow_r, inflow_s, &
-               nest_bound_l, nest_bound_n, nest_bound_r, nest_bound_s,         &
-               outflow_l, outflow_n, outflow_r, outflow_s
+        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,                 &
+               bc_dirichlet_s, bc_radiation_l, bc_radiation_n, bc_radiation_r, &
+               bc_radiation_s, child_domain, grid_level, nesting_offline
 
     USE cpulog,                                                                &
@@ -261,13 +260,13 @@
 !--    Set lateral boundary conditions in non-cyclic case
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l .OR. outflow_l .OR. nest_bound_l .OR. force_bound_l )  &
+          IF ( bc_dirichlet_l   .OR.  bc_radiation_l )                         &
              d(:,:,nxl-1) = d(:,:,nxl)
-          IF ( inflow_r .OR. outflow_r .OR. nest_bound_r .OR. force_bound_r )  &
+          IF ( bc_dirichlet_r   .OR.  bc_radiation_r )                         &
              d(:,:,nxr+1) = d(:,:,nxr)
        ENDIF
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n .OR. outflow_n .OR. nest_bound_n .OR. force_bound_n )  &
+          IF ( bc_dirichlet_n   .OR.  bc_radiation_n )                         &
              d(:,nyn+1,:) = d(:,nyn,:)
-          IF ( inflow_s .OR. outflow_s .OR. nest_bound_s .OR. force_bound_s )  &
+          IF ( bc_dirichlet_s   .OR.  bc_radiation_s )                         &
              d(:,nys-1,:) = d(:,nys,:)
        ENDIF
@@ -442,8 +441,8 @@
 
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l .OR. outflow_l .OR. nest_bound_l .OR. force_bound_l )  THEN
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
              r(:,:,nxl_mg(l)-1) = r(:,:,nxl_mg(l))
           ENDIF
-          IF ( inflow_r .OR. outflow_r .OR. nest_bound_r .OR. force_bound_r )  THEN
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
              r(:,:,nxr_mg(l)+1) = r(:,:,nxr_mg(l))
           ENDIF
@@ -451,8 +450,8 @@
 
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n .OR. outflow_n .OR. nest_bound_n .OR. force_bound_n )  THEN
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
              r(:,nyn_mg(l)+1,:) = r(:,nyn_mg(l),:)
           ENDIF
-          IF ( inflow_s .OR. outflow_s .OR. nest_bound_s .OR. force_bound_s )  THEN
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
              r(:,nys_mg(l)-1,:) = r(:,nys_mg(l),:)
           ENDIF
@@ -657,8 +656,8 @@
 
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l .OR. outflow_l .OR. nest_bound_l .OR. force_bound_l )  THEN
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
              f_mg(:,:,nxl_mg(l)-1) = f_mg(:,:,nxl_mg(l))
           ENDIF
-          IF ( inflow_r .OR. outflow_r .OR. nest_bound_r .OR. force_bound_r )  THEN
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
              f_mg(:,:,nxr_mg(l)+1) = f_mg(:,:,nxr_mg(l))
           ENDIF
@@ -666,8 +665,8 @@
 
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n .OR. outflow_n .OR. nest_bound_n .OR. force_bound_n )  THEN
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
              f_mg(:,nyn_mg(l)+1,:) = f_mg(:,nyn_mg(l),:)
           ENDIF
-          IF ( inflow_s .OR. outflow_s .OR. nest_bound_s .OR. force_bound_s )  THEN
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
              f_mg(:,nys_mg(l)-1,:) = f_mg(:,nys_mg(l),:)
           ENDIF
@@ -770,8 +769,8 @@
 
     IF ( .NOT. bc_lr_cyc )  THEN
-       IF ( inflow_l .OR. outflow_l .OR. nest_bound_l .OR. force_bound_l )  THEN
+       IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
           temp(:,:,nxl_mg(l)-1) = temp(:,:,nxl_mg(l))
        ENDIF
-       IF ( inflow_r .OR. outflow_r .OR. nest_bound_r .OR. force_bound_r )  THEN
+       IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
           temp(:,:,nxr_mg(l)+1) = temp(:,:,nxr_mg(l))
        ENDIF
@@ -779,8 +778,8 @@
 
     IF ( .NOT. bc_ns_cyc )  THEN
-       IF ( inflow_n .OR. outflow_n .OR. nest_bound_n .OR. force_bound_n )  THEN
+       IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
           temp(:,nyn_mg(l)+1,:) = temp(:,nyn_mg(l),:)
        ENDIF
-       IF ( inflow_s .OR. outflow_s .OR. nest_bound_s .OR. force_bound_s )  THEN
+       IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
           temp(:,nys_mg(l)-1,:) = temp(:,nys_mg(l),:)
        ENDIF
@@ -1200,8 +1199,8 @@
 
              IF ( .NOT. bc_lr_cyc )  THEN
-                IF ( inflow_l .OR. outflow_l .OR. nest_bound_l .OR. force_bound_l )  THEN
+                IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
                    p_mg(:,:,nxl_mg(l)-1) = p_mg(:,:,nxl_mg(l))
                 ENDIF
-                IF ( inflow_r .OR. outflow_r .OR. nest_bound_r .OR. force_bound_r )  THEN
+                IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
                    p_mg(:,:,nxr_mg(l)+1) = p_mg(:,:,nxr_mg(l))
                 ENDIF
@@ -1209,8 +1208,8 @@
 
              IF ( .NOT. bc_ns_cyc )  THEN
-                IF ( inflow_n .OR. outflow_n .OR. nest_bound_n .OR. force_bound_n )  THEN
+                IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
                    p_mg(:,nyn_mg(l)+1,:) = p_mg(:,nyn_mg(l),:)
                 ENDIF
-                IF ( inflow_s .OR. outflow_s .OR. nest_bound_s .OR. force_bound_s )  THEN
+                IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
                    p_mg(:,nys_mg(l)-1,:) = p_mg(:,nys_mg(l),:)
                 ENDIF
@@ -1422,5 +1421,5 @@
                   gamma_mg, grid_level_count, ibc_p_b, ibc_p_t,                &
                   maximum_grid_level,                                          &
-                  mg_switch_to_pe0_level, mg_switch_to_pe0, nest_domain, ngsrb
+                  mg_switch_to_pe0_level, mg_switch_to_pe0, ngsrb
 
 
@@ -1562,37 +1561,31 @@
 !--          because then they have the total domain.
              IF ( bc_lr_dirrad )  THEN
-                inflow_l  = .TRUE.
-                inflow_r  = .FALSE.
-                outflow_l = .FALSE.
-                outflow_r = .TRUE.
+                bc_dirichlet_l  = .TRUE.
+                bc_dirichlet_r  = .FALSE.
+                bc_radiation_l = .FALSE.
+                bc_radiation_r = .TRUE.
              ELSEIF ( bc_lr_raddir )  THEN
-                inflow_l  = .FALSE.
-                inflow_r  = .TRUE.
-                outflow_l = .TRUE.
-                outflow_r = .FALSE.
-             ELSEIF ( nest_domain )  THEN
-                nest_bound_l = .TRUE.
-                nest_bound_r = .TRUE.
-             ELSEIF ( forcing )  THEN
-                force_bound_l = .TRUE.
-                force_bound_r = .TRUE.
+                bc_dirichlet_l  = .FALSE.
+                bc_dirichlet_r  = .TRUE.
+                bc_radiation_l = .TRUE.
+                bc_radiation_r = .FALSE.
+             ELSEIF ( child_domain  .OR.  nesting_offline )  THEN
+                bc_dirichlet_l = .TRUE.
+                bc_dirichlet_r = .TRUE.
              ENDIF
 
              IF ( bc_ns_dirrad )  THEN
-                inflow_n  = .TRUE.
-                inflow_s  = .FALSE.
-                outflow_n = .FALSE.
-                outflow_s = .TRUE.
+                bc_dirichlet_n  = .TRUE.
+                bc_dirichlet_s  = .FALSE.
+                bc_radiation_n = .FALSE.
+                bc_radiation_s = .TRUE.
              ELSEIF ( bc_ns_raddir )  THEN
-                inflow_n  = .FALSE.
-                inflow_s  = .TRUE.
-                outflow_n = .TRUE.
-                outflow_s = .FALSE.
-             ELSEIF ( nest_domain )  THEN
-                nest_bound_s = .TRUE.
-                nest_bound_n = .TRUE.
-             ELSEIF ( forcing )  THEN
-                force_bound_s = .TRUE.
-                force_bound_n = .TRUE.
+                bc_dirichlet_n  = .FALSE.
+                bc_dirichlet_s  = .TRUE.
+                bc_radiation_n = .TRUE.
+                bc_radiation_s = .FALSE.
+             ELSEIF ( child_domain  .OR.  nesting_offline )  THEN
+                bc_dirichlet_s = .TRUE.
+                bc_dirichlet_n = .TRUE.
              ENDIF
 
@@ -1655,32 +1648,15 @@
 !--          For non-cyclic lateral boundary conditions and in case of nesting, 
 !--          restore the in-/outflow conditions. 
-             inflow_l  = .FALSE.;  inflow_r  = .FALSE.
-             inflow_n  = .FALSE.;  inflow_s  = .FALSE.
-             outflow_l = .FALSE.;  outflow_r = .FALSE.
-             outflow_n = .FALSE.;  outflow_s = .FALSE.
-!
-!--          In case of nesting, restore lateral boundary conditions
-             IF ( nest_domain )  THEN
-                nest_bound_l = .FALSE.
-                nest_bound_r = .FALSE.
-                nest_bound_s = .FALSE.
-                nest_bound_n = .FALSE.      
-             ENDIF
-             IF ( forcing )  THEN
-                force_bound_l = .FALSE.
-                force_bound_r = .FALSE.
-                force_bound_s = .FALSE.
-                force_bound_n = .FALSE.      
-             ENDIF
+             bc_dirichlet_l = .FALSE.;  bc_dirichlet_r = .FALSE.
+             bc_dirichlet_n = .FALSE.;  bc_dirichlet_s = .FALSE.
+             bc_radiation_l = .FALSE.;  bc_radiation_r = .FALSE.
+             bc_radiation_n = .FALSE.;  bc_radiation_s = .FALSE.
 
              IF ( pleft == MPI_PROC_NULL )  THEN
-                IF ( bc_lr_dirrad )  THEN
-                   inflow_l  = .TRUE.
+                IF ( bc_lr_dirrad  .OR.  child_domain  .OR.  nesting_offline )  &
+                THEN
+                   bc_dirichlet_l = .TRUE.
                 ELSEIF ( bc_lr_raddir )  THEN
-                   outflow_l = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_l = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_l = .TRUE.
+                   bc_radiation_l = .TRUE.
                 ENDIF
              ENDIF
@@ -1688,11 +1664,8 @@
              IF ( pright == MPI_PROC_NULL )  THEN
                 IF ( bc_lr_dirrad )  THEN
-                   outflow_r = .TRUE.
-                ELSEIF ( bc_lr_raddir )  THEN
-                   inflow_r  = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_r = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_r = .TRUE.
+                   bc_radiation_r = .TRUE.
+                ELSEIF ( bc_lr_raddir  .OR.  child_domain  .OR.                 &
+                         nesting_offline )  THEN
+                   bc_dirichlet_r = .TRUE.
                 ENDIF
              ENDIF
@@ -1700,23 +1673,17 @@
              IF ( psouth == MPI_PROC_NULL )  THEN
                 IF ( bc_ns_dirrad )  THEN
-                   outflow_s = .TRUE.
-                ELSEIF ( bc_ns_raddir )  THEN
-                   inflow_s  = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_s = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_s = .TRUE.
+                   bc_radiation_s = .TRUE.
+                ELSEIF ( bc_ns_raddir  .OR.  child_domain  .OR.                 &
+                         nesting_offline )  THEN
+                   bc_dirichlet_s = .TRUE.
                 ENDIF
              ENDIF
 
              IF ( pnorth == MPI_PROC_NULL )  THEN
-                IF ( bc_ns_dirrad )  THEN
-                   inflow_n  = .TRUE.
+                IF ( bc_ns_dirrad  .OR.  child_domain  .OR.  nesting_offline )  &
+                THEN
+                   bc_dirichlet_n = .TRUE.
                 ELSEIF ( bc_ns_raddir )  THEN
-                   outflow_n = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_n = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_n = .TRUE.
+                   bc_radiation_n = .TRUE.
                 ENDIF
              ENDIF
@@ -1897,11 +1864,9 @@
 !--          Set non-cyclic boundary conditions on respective multigrid level
              IF ( .NOT. bc_ns_cyc )  THEN
-                IF ( inflow_s  .OR.  outflow_s  .OR.  nest_bound_s  .OR.       &
-                     force_bound_s )  THEN
+                IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
 !                    topo_tmp(:,-2,:) = topo_tmp(:,0,:)
                    topo_tmp(:,-1,:) = topo_tmp(:,0,:)
                 ENDIF
-                IF ( inflow_n  .OR.  outflow_n  .OR.  nest_bound_n  .OR.       &
-                     force_bound_n )  THEN
+                IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
 !                    topo_tmp(:,nyn_l+2,:) = topo_tmp(:,nyn_l,:)
                    topo_tmp(:,nyn_l+1,:) = topo_tmp(:,nyn_l,:)
@@ -1909,11 +1874,9 @@
              ENDIF
              IF ( .NOT. bc_lr_cyc )  THEN
-                IF ( inflow_l  .OR.  outflow_l  .OR.  nest_bound_l  .OR.       &
-                     force_bound_l )  THEN
+                IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
 !                    topo_tmp(:,:,-2) = topo_tmp(:,:,0)
                    topo_tmp(:,:,-1) = topo_tmp(:,:,0)
                 ENDIF
-                IF ( inflow_r  .OR.  outflow_r  .OR.  nest_bound_r  .OR.       &
-                     force_bound_r )  THEN
+                IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
 !                    topo_tmp(:,:,nxr_l+2) = topo_tmp(:,:,nxr_l)      
                    topo_tmp(:,:,nxr_l+1) = topo_tmp(:,:,nxr_l)    
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 3178)
+++ palm/trunk/SOURCE/pres.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Rename variables for boundary flags and nesting
 ! 
 ! Former revisions:
@@ -161,10 +161,11 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr_cyc, bc_ns_cyc, conserve_volume_flow, coupling_mode,      &
+        ONLY:  bc_lr_cyc, bc_ns_cyc, bc_radiation_l, bc_radiation_n,           &
+               bc_radiation_r, bc_radiation_s, child_domain,                   &
+               conserve_volume_flow, coupling_mode,                            &
                dt_3d, gathered_size, ibc_p_b, ibc_p_t,                         &
                intermediate_timestep_count, intermediate_timestep_count_max,   &
-               mg_switch_to_pe0_level, nest_domain, outflow_l, outflow_n,      &
-               outflow_r, outflow_s, psolver, subdomain_size, topography,      &
-               volume_flow, volume_flow_area, volume_flow_initial
+               mg_switch_to_pe0_level, psolver, subdomain_size,                &
+               topography, volume_flow, volume_flow_area, volume_flow_initial
 
     USE cpulog,                                                                &
@@ -219,5 +220,5 @@
     REAL(wp), DIMENSION(1:nzt) ::  w_l_l               !<
 
-    LOGICAL :: nest_domain_nvn      !<
+    LOGICAL :: child_domain_nvn      !<
 
 
@@ -280,12 +281,13 @@
 !
 !-- Left/right
-    IF ( conserve_volume_flow  .AND.  ( outflow_l .OR. outflow_r ) )  THEN
+    IF ( conserve_volume_flow  .AND.  ( bc_radiation_l .OR.                    &
+                                        bc_radiation_r ) )  THEN
 
        volume_flow(1)   = 0.0_wp
        volume_flow_l(1) = 0.0_wp
 
-       IF ( outflow_l )  THEN
+       IF ( bc_radiation_l )  THEN
           i = 0
-       ELSEIF ( outflow_r )  THEN
+       ELSEIF ( bc_radiation_r )  THEN
           i = nx+1
        ENDIF
@@ -325,12 +327,12 @@
 !
 !-- South/north
-    IF ( conserve_volume_flow  .AND.  ( outflow_n .OR. outflow_s ) )  THEN
+    IF ( conserve_volume_flow  .AND.  ( bc_radiation_n .OR. bc_radiation_s ) )  THEN
 
        volume_flow(2)   = 0.0_wp
        volume_flow_l(2) = 0.0_wp
 
-       IF ( outflow_s )  THEN
+       IF ( bc_radiation_s )  THEN
           j = 0
-       ELSEIF ( outflow_n )  THEN
+       ELSEIF ( bc_radiation_n )  THEN
           j = ny+1
        ENDIF
@@ -372,15 +374,15 @@
 !-- used both at bottom and top boundary, and if not a nested domain in a 
 !-- normal nesting run. In case of vertical nesting, this must be done.
-!-- Therefore an auxiliary logical variable nest_domain_nvn is used here, and 
+!-- Therefore an auxiliary logical variable child_domain_nvn is used here, and 
 !-- nvn stands for non-vertical nesting. 
 !-- This cannot be done before the first initial time step because ngp_2dh_outer
 !-- is not yet known then.
-    nest_domain_nvn = nest_domain
-    IF ( nest_domain .AND. nesting_mode == 'vertical' )  THEN
-       nest_domain_nvn = .FALSE.
+    child_domain_nvn = child_domain
+    IF ( child_domain .AND. nesting_mode == 'vertical' )  THEN
+       child_domain_nvn = .FALSE.
     ENDIF
 
     IF ( ibc_p_b == 1  .AND.  ibc_p_t == 1  .AND.                               &
-         .NOT. nest_domain_nvn  .AND. intermediate_timestep_count /= 0 )        &
+         .NOT. child_domain_nvn  .AND. intermediate_timestep_count /= 0 )       &
     THEN
        w_l = 0.0_wp;  w_l_l = 0.0_wp
@@ -758,5 +760,5 @@
 !-- height nzt after above modifications. Hint: w level nzt+1 does not impact
 !-- results. 
-    IF (nest_domain .OR. coupling_mode == 'vnested_fine') THEN
+    IF ( child_domain  .OR.  coupling_mode == 'vnested_fine' ) THEN
        w(nzt+1,:,:) = w(nzt,:,:)
     ENDIF
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 3178)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Remove unused variables from USE statements
 ! 
 ! Former revisions:
@@ -297,10 +297,9 @@
                cloud_physics, cloud_top_radiation, constant_diffusion,         &
                dp_external, dp_level_ind_b, dp_smooth_factor, dpdxy, dt_3d,    &
-               humidity,                                                       &
-               inflow_l, intermediate_timestep_count,                          &
+               humidity, intermediate_timestep_count,                          &
                intermediate_timestep_count_max, large_scale_forcing,           &
                large_scale_subsidence, microphysics_morrison,                  &
                microphysics_seifert, microphysics_sat_adjust, neutral, nudging,&
-               ocean, outflow_l, outflow_s, passive_scalar, plant_canopy,      &
+               ocean, passive_scalar, plant_canopy,                            &
                prho_reference, prho_reference,                                 &
                prho_reference, pt_reference, pt_reference, pt_reference,       &
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables for boundary flags
 ! 
 ! Former revisions:
@@ -1765,5 +1765,5 @@
                       READ ( 13 )  tmp_3dwul
                    ENDIF
-                   IF ( outflow_l )  THEN
+                   IF ( bc_radiation_l )  THEN
                       u_m_l(:,nysc-nbgp:nync+nbgp,:) =                         & 
                          tmp_3dwul(:,nysf-nbgp:nynf+nbgp,:)
@@ -1776,5 +1776,5 @@
                       READ ( 13 )  tmp_3dwun
                    ENDIF
-                   IF ( outflow_n )  THEN
+                   IF ( bc_radiation_n )  THEN
                       u_m_n(:,:,nxlc-nbgp:nxrc+nbgp) =                         & 
                          tmp_3dwun(:,:,nxlf-nbgp:nxrf+nbgp)
@@ -1787,5 +1787,5 @@
                       READ ( 13 )  tmp_3dwur
                    ENDIF
-                   IF ( outflow_r )  THEN
+                   IF ( bc_radiation_r )  THEN
                       u_m_r(:,nysc-nbgp:nync+nbgp,:) =                         & 
                          tmp_3dwur(:,nysf-nbgp:nynf+nbgp,:)
@@ -1798,5 +1798,5 @@
                       READ ( 13 )  tmp_3dwus
                    ENDIF
-                   IF ( outflow_s )  THEN
+                   IF ( bc_radiation_s )  THEN
                       u_m_s(:,:,nxlc-nbgp:nxrc+nbgp) =                         &
                          tmp_3dwus(:,:,nxlf-nbgp:nxrf+nbgp)
@@ -1830,5 +1830,5 @@
                       READ ( 13 )  tmp_3dwvl
                    ENDIF
-                   IF ( outflow_l )  THEN
+                   IF ( bc_radiation_l )  THEN
                       v_m_l(:,nysc-nbgp:nync+nbgp,:) =                         & 
                          tmp_3dwvl(:,nysf-nbgp:nynf+nbgp,:)
@@ -1841,5 +1841,5 @@
                       READ ( 13 )  tmp_3dwvn
                    ENDIF
-                   IF ( outflow_n )  THEN
+                   IF ( bc_radiation_n )  THEN
                       v_m_n(:,:,nxlc-nbgp:nxrc+nbgp) =                         &
                          tmp_3dwvn(:,:,nxlf-nbgp:nxrf+nbgp)
@@ -1852,5 +1852,5 @@
                       READ ( 13 )  tmp_3dwvr
                    ENDIF
-                   IF ( outflow_r )  THEN
+                   IF ( bc_radiation_r )  THEN
                       v_m_r(:,nysc-nbgp:nync+nbgp,:) =                         &
                          tmp_3dwvr(:,nysf-nbgp:nynf+nbgp,:)
@@ -1863,5 +1863,5 @@
                       READ ( 13 )  tmp_3dwvs
                    ENDIF
-                   IF ( outflow_s )  THEN
+                   IF ( bc_radiation_s )  THEN
                       v_m_s(:,:,nxlc-nbgp:nxrc+nbgp) =                         &
                          tmp_3dwvs(:,:,nxlf-nbgp:nxrf+nbgp)
@@ -1900,5 +1900,5 @@
                       READ ( 13 )  tmp_3dwwl
                    ENDIF
-                   IF ( outflow_l )  THEN
+                   IF ( bc_radiation_l )  THEN
                       w_m_l(:,nysc-nbgp:nync+nbgp,:) =                         & 
                          tmp_3dwwl(:,nysf-nbgp:nynf+nbgp,:)
@@ -1911,5 +1911,5 @@
                       READ ( 13 )  tmp_3dwwn
                    ENDIF
-                   IF ( outflow_n )  THEN
+                   IF ( bc_radiation_n )  THEN
                       w_m_n(:,:,nxlc-nbgp:nxrc+nbgp) =                         &
                          tmp_3dwwn(:,:,nxlf-nbgp:nxrf+nbgp)
@@ -1922,5 +1922,5 @@
                       READ ( 13 )  tmp_3dwwr
                    ENDIF
-                   IF ( outflow_r )  THEN
+                   IF ( bc_radiation_r )  THEN
                       w_m_r(:,nysc-nbgp:nync+nbgp,:) =                         & 
                          tmp_3dwwr(:,nysf-nbgp:nynf+nbgp,:)
@@ -1933,5 +1933,5 @@
                       READ ( 13 )  tmp_3dwws
                    ENDIF
-                   IF ( outflow_s )  THEN
+                   IF ( bc_radiation_s )  THEN
                       w_m_s(:,:,nxlc-nbgp:nxrc+nbgp) =                         & 
                          tmp_3dwws(:,:,nxlf-nbgp:nxrf+nbgp)
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 3178)
+++ palm/trunk/SOURCE/sor.f90	(revision 3182)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables in mesoscale-offline nesting mode
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -82,9 +85,8 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr_cyc, bc_ns_cyc, force_bound_l, force_bound_n,             &
-               force_bound_r, force_bound_s, ibc_p_b, ibc_p_t, inflow_l,       &
-               inflow_n, inflow_r, inflow_s, nest_bound_l, nest_bound_n,       &
-               nest_bound_r, nest_bound_s, n_sor, omega_sor, outflow_l,        &
-               outflow_n, outflow_r, outflow_s
+        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,                 &
+               bc_dirichlet_s, bc_lr_cyc, bc_ns_cyc, bc_radiation_l,           &
+               bc_radiation_n, bc_radiation_r, bc_radiation_s, ibc_p_b,        &
+               ibc_p_t, n_sor, omega_sor
 
     IMPLICIT NONE
@@ -175,14 +177,10 @@
 !--    Horizontal (Neumann) boundary conditions in case of non-cyclic boundaries
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l      .OR.  outflow_l  .OR.                                 &
-               nest_bound_l  .OR.  force_bound_l )  p(:,:,nxl-1) = p(:,:,nxl)
-          IF ( inflow_r      .OR.  outflow_r  .OR.                                 &
-               nest_bound_r  .OR.  force_bound_r )  p(:,:,nxr+1) = p(:,:,nxr)
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  p(:,:,nxl-1) = p(:,:,nxl)
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  p(:,:,nxr+1) = p(:,:,nxr)
        ENDIF
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n      .OR.  outflow_n  .OR.                                 &
-               nest_bound_n  .OR.  force_bound_n )  p(:,nyn+1,:) = p(:,nyn,:)
-          IF ( inflow_s      .OR.  outflow_s  .OR.                                 &
-               nest_bound_s  .OR.  force_bound_s )  p(:,nys-1,:) = p(:,nys,:)
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  p(:,nyn+1,:) = p(:,nyn,:)
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  p(:,nys-1,:) = p(:,nys,:)
        ENDIF
 
@@ -241,14 +239,10 @@
 !--    Horizontal (Neumann) boundary conditions in case of non-cyclic boundaries
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l      .OR.  outflow_l  .OR.                             &
-               nest_bound_l  .OR.  force_bound_l )  p(:,:,nxl-1) = p(:,:,nxl)
-          IF ( inflow_r      .OR.  outflow_r  .OR.                             &
-               nest_bound_r  .OR.  force_bound_r )  p(:,:,nxr+1) = p(:,:,nxr)
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  p(:,:,nxl-1) = p(:,:,nxl)
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  p(:,:,nxr+1) = p(:,:,nxr)
        ENDIF
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n      .OR.  outflow_n  .OR.                             &
-               nest_bound_n  .OR.  force_bound_n )  p(:,nyn+1,:) = p(:,nyn,:)
-          IF ( inflow_s      .OR.  outflow_s  .OR.                             &
-               nest_bound_s  .OR.  force_bound_s )  p(:,nys-1,:) = p(:,nys,:)
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  p(:,nyn+1,:) = p(:,nyn,:)
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  p(:,nys-1,:) = p(:,nys,:)
        ENDIF
 
